import type * as express from 'express';
import pino from 'pino';
import { PubSubConfig, PubSubHandler } from './types';
export interface PubSubCloudFunctionsConfig<Data, Context> extends PubSubConfig<Data, Context> {
    logger?: pino.LoggerOptions;
    context?: (req?: express.Request) => Context | Promise<Context>;
}
export type CloudFunctionFun = (req: express.Request, res: express.Response) => Promise<void>;
export declare function createPubSubCloudFunctions<Data = unknown, Context = unknown>(handler: PubSubHandler<Data, Context, pino.Logger>, options?: PubSubCloudFunctionsConfig<Data, Context>): CloudFunctionFun;
