"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handlePubSubMessage = void 0;
async function handlePubSubMessage(args) {
    const { message, parseJson = true, parser, handler, context, log } = args;
    const bufferString = Buffer.from(message.data, 'base64').toString().trim();
    let data = parseJson ? JSON.parse(bufferString) : bufferString;
    if (parser) {
        data = await parser(data);
    }
    return handler({
        message,
        data,
        context,
        log,
    });
}
exports.handlePubSubMessage = handlePubSubMessage;
//# sourceMappingURL=common.js.map