"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PubSubHandlerResponse = exports.pubSubRequestSchema = exports.pubSubMessageSchema = void 0;
const type_provider_typebox_1 = require("@fastify/type-provider-typebox");
/**
 * PubSub Message Type
 *
 * This describes the message object that is sent to the handler
 * from Google PubSub.
 */
exports.pubSubMessageSchema = type_provider_typebox_1.Type.Object({
    attributes: type_provider_typebox_1.Type.Optional(type_provider_typebox_1.Type.Record(type_provider_typebox_1.Type.String(), type_provider_typebox_1.Type.String())),
    data: type_provider_typebox_1.Type.String(),
    messageId: type_provider_typebox_1.Type.Optional(type_provider_typebox_1.Type.String()),
});
/**
 * PubSub Request Type
 *
 * This describes the request object that is sent to the handler
 * from Google PubSub.
 */
exports.pubSubRequestSchema = type_provider_typebox_1.Type.Object({
    message: exports.pubSubMessageSchema,
    subscription: type_provider_typebox_1.Type.String(),
});
class PubSubHandlerResponse {
}
exports.PubSubHandlerResponse = PubSubHandlerResponse;
//# sourceMappingURL=types.js.map